### Function

# Gimp patterns_popup

#### Declaration [src]

    gboolean
    gimp_patterns_popup (
      const gchar* pattern_callback,
      const gchar* popup_title,
      const gchar* initial_pattern
    )

#### Description [src]

Invokes the Gimp pattern selection.

This procedure opens the pattern selection dialog.

#### Parameters

`pattern_callback`

  Type: `const gchar*`

  The callback PDB proc to call when pattern selection is made.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`popup_title`

  Type: `const gchar*`

  Title of the pattern selection dialog.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`initial_pattern`

  Type: `const gchar*`

  The name of the pattern to set as the first selected.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

TRUE on success.